<template>
  <p id="count">{{ count }}</p>
  <button @click="increment">increment</button>
</template>

<script setup>
import { computed } from 'vue';
import { useStore } from 'vuex';

const store = useStore();
const count = computed(() => store.getters['common/count']);

const increment = async () => {
  await store.commit('common/increment');
};
</script>
